curl --request GET \
--url https://api.paxos.com/v2/transfer/fiat-deposit-instructions/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paxos.com/v2/transfer/fiat-deposit-instructions/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paxos.com/v2/transfer/fiat-deposit-instructions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "f190b163-208f-4d73-8deb-4fb8b24add00",
"profile_id": "5fc6d191-193c-4e28-94fa-656bbdbdfaad",
"customer_id": "9b8c9cba-801e-4418-adc0-ede709df6339",
"ref_id": "idempotence_id",
"status": "VALID",
"memo_id": "9CFXQSCMSPLFHXLZ",
"fiat_network_instructions": {
"wire": {
"account_number": "12345678",
"fiat_account_owner_address": {
"country": "USA",
"address1": "456 Main Street, NY",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
},
"routing_details": {
"routing_number_type": "ABA",
"routing_number": "123456789",
"bank_name": "Customers Bank",
"bank_address": {
"country": "USA",
"address1": "123 Bank Street",
"city": "New York",
"province": "NY",
"address2": "",
"zip_code": "10101"
}
}
},
"fiat_account_owner": {
"person_details": {
"first_name": "Jane",
"last_name": "Doe"
}
},
"metadata": {
"my_id": "4024ee50-eefb-4f2e-85c7-e7899c0b7da5"
}
}
}{
"type": "about:blank",
"title": "Bad Request",
"status": 400,
"detail": "expected uuid, got invalid-uuid"
}{
"type": "about:blank",
"title": "Not Found",
"status": 404,
"detail": "fiat deposit instructions with id f190b163-208f-4d73-8deb-4fb8b24add00 not found"
}Get Fiat Deposit Instructions
Get instructions for depositing fiat using a Paxos Fiat Deposit Instructions ID.
The Fiat Deposit Instructions ID (id) is provided in the response of the Create Fiat Deposit Instructions.
transfer:read_fiat_deposit_instructions
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
Retrieve the Paxos Fiat Deposit Instructions for the given id.
Response
A successful response.
The Fiat Deposit Instructions ID (id) is provided in the response of the Create Fiat Deposit Instructions.
Use this ID to retrieve the instructions using Get Fiat Deposit Instructions & List Fiat Deposit Instructions.
The Profile (profile_id) to deposit to.
The Identity (identity_id) of the user making the deposit.
VALID, DEPRECATED The string, unique to the request.
To deposit funds into an account, the memo ID must be provided when initiating a WIRE transfer to Paxos.
This is provided after creating Fiat Deposit Instructions
The memo_id can also be found from either Get Fiat Deposit Instructions or List Fiat Deposit Instructions for the corresponding ID (Fiat Deposit Instructions ID).
Show child attributes
Show child attributes
The time at which these instructions were created.
The Account (account_id) associated with the Identity of the user making the deposit.
Required only for customers with 3rd-Party integrations making deposits on behalf of their end users.
The optional client-specified ID (for idempotence).
Show child attributes
Show child attributes
Optional client-specified metadata.
Show child attributes
Show child attributes
Was this page helpful?